Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# box.hh File Reference

A GtkBox, GtkHBox and GtkVBox C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <gtk/gtkhbox.h>`
`#include <gtk/gtkvbox.h>`
`#include <xfc/gtk/boxchild.hh>`
`#include <xfc/gtk/inline/box.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Box
    A GtkBox C++ wrapper class. More...
- class Xfc::Gtk::HBox
    A GtkHBox C++ wrapper class. More...
- class Xfc::Gtk::VBox
    A GtkVBox C++ wrapper class. More...

## Detailed Description

A GtkBox, GtkHBox and GtkVBox C++ wrapper interface.

Box is an abstract widget which encapsulates functionallity for a particular kind of container, one that organizes a variable number of widgets into a rectangular area. Box currently has two derived classes, HBox and VBox.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3